#include "uxn.h"
#include "dat.h"
#include "fns.h"

#include "dev/system.h"
#include "dev/screen.h"

Uint8
system_dei(Device *d, Uint8 port)
{
	switch(port) {
	case 0x2:
		return d->u->wst.ptr;
	case 0x3:
		return d->u->rst.ptr;
	}

	return d->dat[port];
}

void
system_deo(Device *d, Uint8 port)
{
	switch(port) {
	case 0x2:
		d->u->wst.ptr = d->dat[port];
		break;

	case 0x3:
		d->u->rst.ptr = d->dat[port];
		break;

	default:
		if(port >= 0x8 && port <= 0xd)
			screen_palette(&uxn_screen, &d->dat[0x8]);
	}
}
